Bug 190318 - Review Request: perl-HTTP-Request-Params - Retrieve GET/POST Parameters from HTTP Requests
Review Request: perl-HTTP-Request-Params - Retrieve GET/POST Parameters from ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 190316
Blocks: FE-ACCEPT 190319
  Show dependency treegraph
 
Reported: 2006-04-30 21:38 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:16:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-30 21:38:36 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-HTTP-Request-Params.spec

SRPM URL: 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-HTTP-Request-Params-1.01-1.src.rpm

Description:
This software does all the dirty work of parsing HTTP Requests to find
incoming query parameters.
Comment 1 Jason Tibbitts 2006-05-01 20:32:05 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   fccd255a2992c77b5c40cb5e1e75b256  HTTP-Request-Params-1.01.tar.gz
   fccd255a2992c77b5c40cb5e1e75b256  HTTP-Request-Params-1.01.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=26,  1 wallclock secs ( 0.08 cusr +  0.02 csys =  0.10 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-04 08:16:38 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.